/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PrefixTemplateDirective } from "./adornments/prefix.directive";
import { SeparatorComponent } from "./adornments/separator.component";
import { SuffixTemplateDirective } from "./adornments/suffix.directive";
import { DraggableDirective } from "./draggable/draggable.directive";
import { EventsOutsideAngularDirective } from "./events/events-outside-angular.directive";
import { ResizeSensorComponent } from "./resize-sensor/resize-sensor.component";
import { TemplateContextDirective } from "./template-context/template-context.directive";
import { ToggleButtonTabStopDirective } from "./toggle-button-tab-stop/toggle-button-tab-stop.directive";
import { WatermarkOverlayComponent } from "./watermark/watermark.component";
/**
 * @hidden
 */
export declare const KENDO_ADORNMENTS: readonly [typeof PrefixTemplateDirective, typeof SuffixTemplateDirective, typeof SeparatorComponent];
/**
 * @hidden
 */
export declare const KENDO_COMMON: readonly [typeof PrefixTemplateDirective, typeof SuffixTemplateDirective, typeof SeparatorComponent, typeof DraggableDirective, typeof EventsOutsideAngularDirective, typeof ResizeSensorComponent, typeof ToggleButtonTabStopDirective, typeof WatermarkOverlayComponent];
/**
 * @hidden
 */
export declare const KENDO_DRAGGABLE: readonly [typeof DraggableDirective];
/**
 * @hidden
 */
export declare const KENDO_EVENTS: readonly [typeof EventsOutsideAngularDirective];
/**
 * @hidden
 */
export declare const KENDO_RESIZESENSOR: readonly [typeof ResizeSensorComponent];
/**
 * @hidden
 */
export declare const KENDO_TOGGLEBUTTONTABSTOP: readonly [typeof ToggleButtonTabStopDirective];
/**
 * @hidden
 */
export declare const KENDO_WATERMARK: readonly [typeof WatermarkOverlayComponent];
/**
 * @hidden
 */
export declare const KENDO_TEMPLATE_CONTEXT: readonly [typeof TemplateContextDirective];
