/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class WatermarkOverlayComponent implements OnInit, AfterViewInit, OnDestroy {
    watermarkStyle: string;
    banner: ElementRef;
    isOpen: boolean;
    bannerMounted: boolean;
    bannerStyles: {
        display: string;
        justifyContent: string;
        alignItems: string;
        position: string;
        top: string;
        right: string;
        padding: string;
        borderRadius: string;
        boxShadow: string;
        fontSize: string;
        fontWeight: number;
        lineHeight: string;
        backgroundColor: string;
        color: string;
        zIndex: number;
    };
    buttonStyles: {
        display: string;
        position: string;
        border: string;
        borderRadius: string;
        padding: string;
        backgroundColor: string;
        transition: string;
        outline: string;
        cursor: string;
    };
    licenseKeyUrl: string;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    closeBanner(): void;
    get isBannerRendered(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WatermarkOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WatermarkOverlayComponent, "div[kendoWatermarkOverlay]", never, {}, {}, never, never, true, never>;
}
